import pytest, tornado.options, subprocess, re
from my_package_profile_manager.tests.helper.api import Api
"""
AuthTest class tests all the classes inside
controllers user.py file.
EmailVerification,ForgotPassword,Register.
test_user_register test Register class with post method and email,password,name,password,confirm_password and term_
"""
# python -m pytest venv/lib/python3.6/site-packages/package_profile_manager/tests/controllers/auth_test.py -ra -s --env=dev_mobin_test -k test_auth_login
class TestAuth(object):

    def test_can_run_default_command_script(self):
        options = tornado.options.parse_command_line()
        for option in options:
            if re.search("--env", option):
                env = option.replace('--env=', '')
                break
        # subprocess.call("python -m cli pipeline --env="+env+" import-pipeline", shell=True)
        subprocess.call("python -m cli pipeline --env=" + env + " import-pipeline", shell=True)
        subprocess.call("python -m cli pipeline --env=" + env + " assign-next-pipeline", shell=True)

    @pytest.mark.parametrize("method, body", [
        ("POST", {"email": "adele@chuchuro.com", "password": "hello123"})
    ])
    def test_auth_login(self, method, body):
        api = Api("login")
        response = api.call(method, body)
        assert response.code == 200